SolrCache.State (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SolrCache.State class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.search
Enum SolrCache.State

    java.lang.Object
      java.lang.Enum<SolrCache.State>
          org.apache.solr.search.SolrCache.State

All Implemented Interfaces:
  Serializable, Comparable<SolrCache.State>

Enclosing interface:
  SolrCache<K,V>

    public static enum SolrCache.State

extends Enum<SolrCache.State>

Enumeration of possible States for cache instances. :TODO: only state that seems to ever be set is LIVE ?

Enum Constant Summary
`AUTOWARMING` :TODO
`CREATED` :TODO
`LIVE` :TODO
`STATICWARMING` :TODO

Method Summary
`static SolrCache.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrCache.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATED

    public static final SolrCache.State CREATED

  :TODO

### STATICWARMING

    public static final SolrCache.State STATICWARMING

  :TODO

### AUTOWARMING

    public static final SolrCache.State AUTOWARMING

  :TODO

### LIVE

    public static final SolrCache.State LIVE

  :TODO

Method Detail

### values

    public static final SolrCache.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrCache.State c : SolrCache.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrCache.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD